Uploaded image for project: 'CFEngine Community'
  1. CFEngine Community
  2. CFE-3067

3.12.2 cf-agent is unable to connect to 3.12.0 server which has allowtlsversion = 1.2 and allowciphers = 'ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES256-GCM-SHA384'

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Open
    • Priority: (None)
    • Resolution: Unresolved
    • Affects Version/s: 3.12.2
    • Fix Version/s: None
    • Component/s: cf-agent, cf-serverd
    • Labels:
      None
    • Platform:
      RHEL or CentOS

      Description

      3.12.2 cf-agent  is unable to connect to 3.12.0 server which has allowtlsversion = 1.2 and allowciphers = 'ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES256-GCM-SHA384'

       

      Error message: "warning: Disabling TLS 1.3 because no TLS 1.3 ciphersuites specified in allowed ciphers: 'ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES256-GCM-SHA384'    error: Failed to establish TLS connection: (-1 SSL_ERROR_SSL) no ciphers available     error: No suitable server found".

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              jeerola Jere Eerola
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:

                Summary Panel